@ECHO OFF
REM
REM ====================================================================
REM !                                                                  !
REM !                     === OFFINTPC.BAT ===                         !
REM !                                                                  !
REM !           ===  CONVERSION OF .HTML  TEXT FILES ===               !
REM !            FOR OFF-LINE INTERNET OPERATION ON PC's               !
REM !                                                                  ! 
REM ! - .HTML (HYPERTEXT MARKUP LANGUAGE) TEXT FILES ARE USED FOR      !
REM ! WORLD-WIDE-WEB(www) INTERNET DATA DISPLAY                        ! 
REM !                                                                  ! 
REM ! - PROGRAM OFFIN1.EXE REMOVES REMOTE SITE INFORMATION FROM        ! 
REM ! URL (UNIVERSAL RELOCATOR) STATEMENTS IN .HTML TEXT FILES TO      !
REM ! PERMIT THEIR LOCAL USE FROM PC-HARDDISKS. THE PROGRAM PRODUCES   !
REM ! SUBSTITUTED .HT1 FILES WHILE PRESERVING THE ORIGINAL .HTM FILES. !
REM ! THE .HTM FILES ARE EITHER SAVED FOLLOWED BY RENAMING OF THE      !
REM ! .HT1 FILES AS .HTM FILES OR COPIED OVER THE .HTM FILES IF THEY   ! 
REM ! ARE NOT REQUIRED FOR FURTHER USE                                 !
REM !                                                                  ! 
REM ! - REMOVAL OF THE REMOTE SITE INFORMATION FOLLOWING FTP OR www-   ! 
REM ! NET DOWNLOAD OF SERIES OF .HTML FILES PERMITS LOADING AND        !
REM ! AND UNRESTRICTED JUMPING BETWEEN www-FILES ON THE PC-HARDDISK    !
REM ! (OFF-LINE INTERNET). NETWORK WAITING TIMES FOR THE USER DURING   !
REM ! ON-LINE FILE TRANSFER IN THE INTERNET ARE AVOIDED IN THIS WAY.   !
REM !                                                                  ! 
REM ! - OFF-LINE INTERNET CONVERTED .HTML FILES CAN BE CALLED          ! 
REM ! BY NETSCAPE OR MOSAIC BROWSERS BY SETTING THE HOME PAGE          ! 
REM ! URL TO THE DIRECTORY LOCATION OF THE FILES.                      ! 
REM !                                                                  ! 
REM ! - PROVIDED ALL .HTML AND .GIF FILES CALLABLE FROM THIS           ! 
REM ! FILE ARE WITHIN THE SAME DIRECTORY, FULL NETWORK TEXT AND IMAGE  ! 
REM ! MIGRATION POTENTIAL IS CONSERVED WHEN THE CALLED .HTML           ! 
REM ! FILES CARRY ONLY THE FILE NAME IN THE: href="" AND: img src=""   ! 
REM ! REFERENCE STATEMENTS                                             ! 
REM !                                                                  ! 
REM ! -IN CASE THE CALLED FILES ARE IN A DIFFERENT DIRECTORY AS THE    ! 
REM ! CALLING FILE, EITHER THE FULL OFF-LINE LOCATION e.g:             !  
REM ! <a href="file:///c:/internet/cytorel.htm" Martinsried</a>        ! 
REM ! OR THE ADDITIVE SUBDIRECTORY PATH INFORMATION e.g:               !
REM ! <a href="offint/cytorel.htm" Martinsried</a>                     !
REM ! TO THE INITIAL BOOKMARK URL HAVE TO BE PROVIDED FOR EACH .HTML   !
REM ! TEXT OR .GIF IMAGE FILE                                          ! 
REM !                                                                  ! 
REM ! -PROGRAM OFFINT HANDLES FILES WITH A MAXIMUM WIDTH OF 500        ! 
REM !  CHARACTERS                                                      ! 
REM !                                                                  !
REM ! -INCLUDE ANSI.SYS DRIVER INTO CONFIG.SYS FILE STATEMENTS FOR     !
REM !  COLOURED SCREEN !                                               !
REM !  DOS:  c:\dos\ansi.sys /x                                        !
REM !  WINDOWS95:  c:\windows\command\ansi.sys /c                      !
REM !                                                                  !
REM !==================================================================!   
REM ! COMMENTS AND QUESTIONS TO:                                       ! 
REM ! G.K.Valet                             Version: 1.02  JUL.12,1996 ! 
REM ! Max-Planck-Institut fuer Biochemie                               ! 
REM ! Am Klopferspitz 18a                                              ! 
REM ! D-82152 Martinsried                                              ! 
REM ! Germany                                                          ! 
REM ! Tel: +49/89/8578-2518, -2525                                     ! 
REM ! Fax: +49/89/8578-2563                                            ! 
REM ! E-mail:  valet@vms.biochem.mpg.de                                ! 
REM ! Internet:                                                        !
REM ! http://www.biochem.mpg.de/valet/cytorel.html                     ! 
REM !                                                                  ! 
REM ====================================================================
REM
REM - blue+intensive white screen background
ECHO [37;44m[1m
CLS
REM - put directory information into: OFFDIR.DAT 
DIR >OFFDIR.DAT
REM
REM ===============================================================
REM - number of replacements (MAX=20)
REM - remote site URL information to be cut from href="" and 
REM   img src="" statements
REM - local site directory information
REM   N= no replacement(=keep only file name)
REM - number of URL replacement lines has to be equal to the number 
REM   of cut URL lines 
REM ---------------------------------------------------------------
ECHO 1>OFFREP.DAT
REM ---------------------------------------------------------------
ECHO .html>>OFFREP.DAT
REM ---------------------------------------------------------------
ECHO .htm>>OFFREP.DAT
REM ===============================================================
REM
REM - delete error file
IF EXIST OFFINT.ERR DEL OFFINT.ERR
REM
REM - setup file name file
ECHO OFFDIR.DAT >OFFNAM.DAT
ECHO OFFREP.DAT>>OFFNAM.DAT
REM
REM - setup pipe file
ECHO OFFNAM.DAT>OFFPIP.DAT
REM
REM - make changes
OFFIN1 <OFFPIP.DAT
IF EXIST OFFINT.ERR TYPE OFFINT.ERR
IF EXIST ! DEL ! 
IF EXIST OFFDIR.DAT DEL OFFDIR.DAT
IF EXIST OFFREP.DAT DEL OFFREP.DAT
IF EXIST OFFNAM.DAT DEL OFFNAM.DAT
IF EXIST OFFPIP.DAT DEL OFFPIP.DAT
REM
REM - red+intensive white screen background
ECHO [2;41m
:END


